API referenceData sources
Create
Authorization
apiKey AuthorizationBearer <token>
Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.
In: header
Path Parameters
workspaceId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/workspaces/string/data-sources" \ -H "Content-Type: application/json" \ -d '{ "label": "string", "kind": "http", "config": { "fields": [ { "sourcePath": "string", "fieldKey": "string", "label": "string", "kind": "text" } ] } }'{ "data": { "id": "string", "workspaceId": "string", "itemId": "string", "key": "string", "label": "string", "kind": "http", "enabled": true, "status": "idle", "config": { "http": { "url": "string", "method": "GET", "headers": { "property1": "string", "property2": "string" }, "query": { "property1": "string", "property2": "string" }, "body": "string", "rowsPath": "string" }, "file": { "fileId": "string", "format": "csv", "delimiter": "string", "hasHeader": true }, "provider": { "connectionId": "string", "externalType": "string", "parentExternalId": "string", "query": "string", "selector": {} }, "externalIdPath": "string", "titleFieldKey": "string", "syncMode": "mirror", "fields": [ { "sourcePath": "string", "fieldKey": "string", "label": "string", "kind": "text" } ] }, "connectionId": "string", "targetDatabaseId": "string", "refreshIntervalMinutes": 0, "nextRunAt": "string", "lastRunAt": "string", "consecutiveFailures": 0, "createdAt": "string", "updatedAt": "string" }}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}